# std::unique_lock<Mutex>::unlock

From cppreference.com
< cpp‎ | thread‎ | unique lock

void unlock(); |  | (since C++11)

Unlocks the associated mutex and releases ownership.

std::system_error is thrown if there is no associated mutex or if the mutex is not locked.

### Parameters

(none)

### Return value

(none)

### Exceptions

- Any exceptions thrown by mutex()->unlock()

- If there is no associated mutex or the mutex is not locked, std::system_error with an error code of std::errc::operation_not_permitted

### Example

| This section is incomplete Reason: no example

### See also

lock | locks the associated mutex (public member function)
release | disassociates the associated mutex without unlocking it (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/unique_lock/unlock&oldid=66986"